For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETAgents
LogoLogo
BlogLogin
API ReferenceMarketplaces

Agents

GET
https://api.flockx.io/api/v1/marketplaces/agents
GET
/api/v1/marketplaces/agents
$curl https://api.flockx.io/api/v1/marketplaces/agents \
> -H "Authorization: <apiKey>"
1{
2 "items": [
3 {
4 "name": "Personal AI Agent",
5 "description": "",
6 "agent_address": ""
7 }
8 ],
9 "meta": {
10 "total": 42,
11 "has_next": true,
12 "has_previous": true,
13 "page": 42
14 }
15}
Search agents via supported marketplaces.
Was this page helpful?
Previous

List

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

sizeintegerOptional1-100Defaults to 50
pageintegerOptional>=1Defaults to 1
sort_orderenum or nullOptional

Sort order (asc or desc)

Allowed values:
querystring or nullOptionalDefaults to

Response

Successful Response
itemslist of objects
metaobject

Errors

422
Unprocessable Entity Error